Package org.eclipse.ecf.remoteservice.eventadmin.serialization

## Class SerializationHandler

- java.lang.Object
- - org.eclipse.ecf.remoteservice.eventadmin.serialization.SerializationHandler

    public abstract class SerializationHandler
    extends Object

Since:
  1.2

### Constructor Summary

Constructors
`SerializationHandler()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Object` `deserialize​(Object val)`
`abstract Object` `getTopic()`
`Object` `serialize​(Object val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializationHandler

    public SerializationHandler()

### Method Detail

#### serialize

    public Object serialize​(Object val)
                     throws NotSerializableException

Throws:
  `NotSerializableException`

#### deserialize

    public Object deserialize​(Object val)

#### getTopic

    public abstract Object getTopic()